installing a specific wine version

Questions about Wine on Linux
Post Reply
paleozogt
Newbie
Newbie
Posts: 3
Joined: Sat Sep 22, 2018 9:48 am

installing a specific wine version

Post by paleozogt » Tue Sep 24, 2019 11:14 am

While I am able to install latest wine successfully:

Code: Select all

apt-get install -y winehq-stable
I'd like to be able to pin the version in my setup scripts. For example, this used to work:

Code: Select all

apt-get install -y winehq-stable=4.0~xenial
but recently it stopped working with

Code: Select all

The following packages have unmet dependencies:
 winehq-stable : Depends: wine-stable (= 4.0~xenial)
While I can update my pin to 4.0.2, I think it will just break again when the next version comes out.

The other versions seem to be available, although none of them work except the latest:

Code: Select all

apt-cache madison winehq-stable
winehq-stable | 4.0.2~xenial | https://dl.winehq.org/wine-builds/ubuntu xenial/main amd64 Packages
winehq-stable | 4.0.1~xenial | https://dl.winehq.org/wine-builds/ubuntu xenial/main amd64 Packages
winehq-stable | 4.0~xenial | https://dl.winehq.org/wine-builds/ubuntu xenial/main amd64 Packages
...
Is this really broken? Or am I doing something wrong?

spoon0042
Level 4
Level 4
Posts: 184
Joined: Thu Dec 24, 2009 11:00 am

Re: installing a specific wine version

Post by spoon0042 » Tue Sep 24, 2019 7:04 pm

You should just need to specify all the wine packages to install, there are three others winehq-stable depends on.

Code: Select all

apt-get install -y winehq-stable=4.0~xenial wine-stable=4.0~xenial wine-stable-amd64=4.0~xenial wine-stable-i386=4.0~xenial
If you're trying to pin the wine version you may need to pin all four as well.

paleozogt
Newbie
Newbie
Posts: 3
Joined: Sat Sep 22, 2018 9:48 am

Re: installing a specific wine version

Post by paleozogt » Wed Sep 25, 2019 1:35 pm

That works! Thanks.

Post Reply